View Issue Details

IDProjectCategoryView StatusLast Update
0010727FPCCompilerpublic2008-09-01 23:16
ReporterMarco van de VoortAssigned ToFlorian 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.1Product Build 
Target Version2.2.2Fixed in Version2.2.2 
Summary0010727: overloading problems involving literals
DescriptionThe test program is accepted by Delphi, but FPC says:

C:\>fpc overloadingproblem.dpr
Free Pascal Compiler version 2.3.1 [2008/01/29] for i386
Copyright (c) 1993-2007 by Florian Klaempfl
Target OS: Win32 for i386
Compiling overloadingproblem.dpr
overloadingproblem.dpr(64,25) Error: Can't determine which overloaded function to call
overloadingproblem.dpr(66,4) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
Tagsjcl
Fixed in Revision10985
FPCOldBugId0
FPCTarget-
Attached Files

Activities

2008-01-29 20:53

 

overloadingproblem.dpr (2,002 bytes)

Issue History

Date Modified Username Field Change
2008-01-29 20:53 Marco van de Voort New Issue
2008-01-29 20:53 Marco van de Voort File Added: overloadingproblem.dpr
2008-01-29 20:53 Marco van de Voort FPCOldBugId => 0
2008-01-29 20:53 Marco van de Voort FPCTarget => -
2008-04-02 13:12 Marco van de Voort Priority normal => high
2008-05-04 18:23 Florian Target Version => 2.2.2
2008-05-07 12:07 Marco van de Voort Tag Attached: jcl
2008-05-12 12:54 Marco van de Voort Relationship added related to 0011288
2008-05-12 14:23 Florian Relationship deleted related to 0011288
2008-05-17 20:42 Florian Fixed in Revision => 10985
2008-05-17 20:42 Florian Status new => resolved
2008-05-17 20:42 Florian Fixed in Version => 2.2.1
2008-05-17 20:42 Florian Resolution open => fixed
2008-05-17 20:42 Florian Assigned To => Florian
2008-09-01 23:16 Jonas Maebe Status resolved => closed
2008-09-01 23:16 Jonas Maebe Fixed in Version 2.2.1 => 2.2.2